Bug 140107 - [PATCH] Enhance net/nss_ldap to support FreeBSD login classes
Summary: [PATCH] Enhance net/nss_ldap to support FreeBSD login classes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-30 13:10 UTC by Jacob Myers
Modified: 2010-01-08 15:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.25 KB, patch)
2009-10-30 13:10 UTC, Jacob Myers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jacob Myers 2009-10-30 13:10:09 UTC
This patch allows the use of login classes in nss_ldap via a new LDAP attribute (loginClass). Administrators should be able to add this attribute to their schemata easily.

Fix: See attached patch file.

Patch attached with submission follows:
How-To-Repeat: N/A
Comment 1 Philip M. Gollucci freebsd_committer 2009-12-27 02:33:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-01-04 05:29:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2010-01-08 15:27:47 UTC
skv         2010-01-08 15:27:38 UTC

  FreeBSD ports repository

  Added files:
    net/nss_ldap/files   patch-login-classes 
  Log:
  Really (!) add patch for "loginClass".
  
  PR:             ports/140107
  Submitted by:   Jacob Myers <jacob xx whotookspaz.org>
  
  Revision  Changes    Path
  1.1       +52 -0     ports/net/nss_ldap/files/patch-login-classes (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"